welchManyOneTTest {PMCMRplus} | R Documentation

## Welchs's Many-To-One Comparison Test

### Description

Performs Welchs's t-test for multiple comparisons with one control.

### Usage

    welchManyOneTTest(x, ...)

    ## Default S3 method:
    welchManyOneTTest(
      x,
      g,
      alternative = c("two.sided", "greater", "less"),
      p.adjust.method = p.adjust.methods,
      ...
    )

    ## S3 method for class 'formula'
    welchManyOneTTest(
      formula,
      data,
      subset,
      na.action,
      alternative = c("two.sided", "greater", "less"),
      p.adjust.method = p.adjust.methods,
      ...
    )

    ## S3 method for class 'aov'
    welchManyOneTTest(
      x,
      alternative = c("two.sided", "greater", "less"),
      p.adjust.method = p.adjust.methods,
      ...
    )

### Arguments

`x` | a numeric vector of data values, a list of numeric data vectors or a fitted model object, usually an aov fit.
`...` | further arguments to be passed to or from methods.
`g` | a vector or factor object giving the group for the corresponding elements of `"x"`. Ignored with a warning if `"x"` is a list.
`alternative` | the alternative hypothesis. Defaults to `two.sided`.
`p.adjust.method` | method for adjusting p values (see `p.adjust`).
`formula` | a formula of the form `response ~ group` where `response` gives the data values and `group` a vector or factor of the corresponding groups.
`data` | an optional matrix or data frame (or similar: see `model.frame`) containing the variables in the formula `formula`. By default the variables are taken from `environment(formula)`.
`subset` | an optional vector specifying a subset of observations to be used.
`na.action` | a function which indicates what should happen when the data contain `NA`s. Defaults to `getOption("na.action")`.

### Details

For many-to-one comparisons in an one-factorial layout with normally distributed residuals and unequal variances Welch's t-test can be used. A total of m = k-1 hypotheses can be tested. The null hypothesis H_{i}: μ_0(x) = μ_i(x) is tested in the two-tailed test against the alternative A_{i}: μ_0(x) \ne μ_i(x), ~~ 1 ≤ i ≤ k-1.

This function is basically a wrapper function for `t.test(..., var.equal = FALSE)`. The p-values for the test are calculated from the t distribution and can be adusted with any method that is implemented in `p.adjust.methods`.

### Value

A list with class `"PMCMR"` containing the following components:

method

  a character string indicating what type of test was performed.

data.name

  a character string giving the name(s) of the data.

statistic

  lower-triangle matrix of the estimated quantiles of the pairwise test statistics.

p.value

  lower-triangle matrix of the p-values for the pairwise tests.

alternative

  a character string describing the alternative hypothesis.

p.adjust.method

  a character string describing the method for p-value adjustment.

model

  a data frame of the input data.

dist

  a string that denotes the test distribution.

### References

Welch, B. L. (1947) The generalization of "Student's" problem when several different population variances are involved, Biometrika 34, 28–35.

Welch, B. L. (1951) On the comparison of several mean values: An alternative approach, Biometrika 38, 330–336.

### See Also

`pairwise.t.test`, `t.test`, `p.adjust`, `tamhaneDunnettTest`

### Examples

    set.seed(245)
    mn <- rep(c(1, 2^(1:4)), each=5)
    sd <- rep(1:5, each=5)
    x <- mn + rnorm(25, sd = sd)
    g <- factor(rep(1:5, each=5))

    fit <- aov(x ~ g)
    shapiro.test(residuals(fit))
    bartlett.test(x ~ g)
    anova(fit)
    summary(welchManyOneTTest(fit, alternative = "greater", p.adjust="holm"))

[Package PMCMRplus version 1.6.1 Index]